{ ... }: {
  imports = [
    ./lsp.nix
    ./formatter.nix
    ./telescope
    ./cmp
  ];

  plugins = {
    lualine.enable = true;

    web-devicons.enable = true;

    treesitter = {
      enable = true;
      autoLoad = true;
    };

    gitsigns.enable = true;

    which-key.enable = true;

    glow.enable = true;

    fugitive.enable = true;
  };
}
